import 'package:fis_lib_report/converts/margin_convert.dart';
import 'package:fis_lib_report/converts/pt_to_px_converter.dart';
import 'package:fis_lib_report/pages/helpler.dart';
import 'package:fis_lib_report/report/line.dart';
import 'package:fis_lib_report/report/page_number.dart';
import 'package:fis_lib_report/report/rt_thickness.dart';
import 'package:fis_lib_report/report/space.dart';
import 'package:fis_lib_report/report_info/report_info.dart';
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

class RPageNumber extends StatefulWidget {
  final PageNumber space;

  RPageNumber(this.space, {Key? key}) : super(key: key);

  @override
  State<StatefulWidget> createState() {
    return _RRPageNumberState();
  }
}

class _RRPageNumberState extends State<RPageNumber> {
  late PageNumber pageNumber;
  String _text = '';
  @override
  initState() {
    pageNumber = widget.space;
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    return Container(
      margin: MarginConvert.marginConvert(pageNumber.margin),
      child: Row(
        mainAxisAlignment: MainAxisAlignment.end,
        children: const [
          ///页码功能应在生成pdf时自动添加上
          Text(''),
        ],
      ),
    );
  }
}
