import 'package:fis_lib_report/converts/margin_convert.dart';
import 'package:fis_lib_report/converts/pt_to_px_converter.dart';
import 'package:fis_lib_report/pages/helpler.dart';
import 'package:fis_lib_report/report/line.dart';
import 'package:fis_lib_report/report/rt_thickness.dart';
import 'package:fis_lib_report/report/space.dart';
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

class RSpace extends StatefulWidget {
  final Space space;

  RSpace(this.space, {Key? key}) : super(key: key);

  @override
  State<StatefulWidget> createState() {
    return _RSpaceState();
  }
}

class _RSpaceState extends State<RSpace> {
  @override
  initState() {
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    return Container(
      width: widget.space.spaceWidth,
      margin: MarginConvert.marginConvert(widget.space.margin),
    );
  }
}
