import 'package:fis_lib_report/report/inlineElement.dart';
import 'package:fis_lib_report/report/interfaces/line.dart';
import 'package:fis_lib_report/report/rt_border.dart';
import 'package:fis_lib_report/report/rt_color.dart';
import 'package:fis_lib_report/report/shape.dart';
import 'package:flutter/foundation.dart';

class Space extends InlineElement implements ILine {
  @override
  RTColor? stroke;

  @override
  double? thickness;

  @override
  RTBorderStyle? borderStyle;

  @override
  double? width;

  double? spaceWidth;

  int? spaceUnitCount = 0;

  Space.fromJson(Map<String, dynamic> json) : super.fromJson(json) {
    width = json['Width'];
    spaceUnitCount = json['SpaceUnitCount'];
    spaceWidth = json['SpaceWidth'];
  }
}
